## org.apache.commons.math3.analysis.function
Class Log10

    java.lang.Object
      org.apache.commons.math3.analysis.function.Log10

All Implemented Interfaces:
  DifferentiableUnivariateFunction, UnivariateFunction

    public class Log10

extends Object
implements DifferentiableUnivariateFunction

Base 10 logarithm function.

Since:
  3.0
Version:
  $Id$

Field Summary
`private static double` `LN_10` ln(10) = .

Constructor Summary
`Log10()`

Method Summary
`UnivariateFunction` `derivative()` Returns the derivative of the function
`double` `value(double x)` Compute the value of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LN_10

    private static final double LN_10

  ln(10) = .

Constructor Detail

### Log10

    public Log10()

Method Detail

### value

    public double value(double x)

  Compute the value of the function.

  Specified by:
    `value` in interface `UnivariateFunction`
  Parameters:
    `x` - Point at which the function value should be computed.
  Returns:
    the value of the function.

### derivative

    public UnivariateFunction derivative()

  Returns the derivative of the function

  Specified by:
    `derivative` in interface `DifferentiableUnivariateFunction`
  Returns:
    the derivative function

Copyright (c) 2003-2013 Apache Software Foundation